procedure rmsub48 (inlist,image)

bool	ok		{yes,prompt="No errors encountered?"}
string	inlist		{prompt="List of input images"}
string	image		{prompt="Image name to be removed from inlist"}
string	logfile		{prompt="Text log file name"}

# @(#) subtask rmsub48            Author: R.A. Jansen -- January 19 1996
# @(#) 
# @(#) subtask called from 'ccd48proc' to remove an image from a list of
# @(#) image names. If the number of images in the list equals zero, the
# @(#) list itself is removed as well.
# @(#)
# @(#) Aug 13 2003 -- This sub-task is now obsolete, since all checks of
# @(#)                the images has been moved forward before the start
# @(#)                of the image processing in the main routine.  This
# @(#)                task remains in 'ccd48' for historical reference.

begin

	string	cstr
	struct	line
        int	nlines

        if ( !access(inlist) ) {
           ok = no
           return
        }

        print("Removing "//image//" from "//inlist//"...", >> logfile)
        print("    Removing "//image//" from "//inlist//"...")

        nlines = 0
        list = inlist
        while ( fscan(list,line) != EOF ) {
           cstr = line
           if ( cstr != image ) { 
              print(cstr, >> "tmprmsub.lis")
              nlines += 1
           }
        }

        delete(inlist)

        if ( nlines != 0 ) {
           copy ("tmprmsub.lis", inlist, verbose=no)
           delete ("tmprmsub.lis")
        } else {
           print ("    List "//inlist//" empty; deleting list ...", >> logfile)
           print ("    List "//inlist//" empty; deleting list ...")
        }

end

