procedure gsubs48 (image, imgtyp, isfile)

string	image	=""	{prompt="Image name"}
string	imgtyp	=""	{prompt="Image type"}
string	isfile	=""	{prompt="Instrument subset file"}
string	subs	=""	{prompt="Image subset"}
bool	ok	=yes	{prompt="No errors encountered?"}

# @(#) subtask gsubs48            Author: R.A. Jansen -- January 17 1996
# @(#) 
# @(#) subtask called from 'ccd48proc' to check whether the image subset
# @(#) is present in the instrument subsets table and to sort images 
# @(#) according to subset.
# @(#) 
# @(#) Aug 12 2003 -- This task was generalized and merged with 'gimst48'
# @(#)                and is now obsolete. It remains part of the 'ccd48'
# @(#)                package for historical reference. RAJ.

begin
	string	cimg, ctyp, cfil, csub
	struct	cline
	bool	bok

#	Initialize variables...
	cimg   = image
	ctyp   = imgtyp
	cfil   = isfile
	csub   = ""
	bok    = no

#	(Re)initialize task parameters...
	image  = cimg
	imgtyp = ctyp
	isfile = cfil
	subs   = csub
        ok     = bok

#	Retrieve filter keyword from image header...
	hselect (cimg, "filter", "yes") | scan (csub)

        list = isfile
        while ( fscan(list,cline) != EOF ) {
           if ( csub == cline ) {
              bok = yes
              if ( ctyp == "OBJECT" ) {
                 print(cimg, >> "data_"//csub//".lis")
              } else {
                 print(cimg, >> ctyp//"_"//csub//".lis")
              }
           }
        }
        if (!bok) {
           print (cimg//"["//csub//"]: SUBSET not in subset table, frame not processed", >> logfile )
           print (cimg//"["//csub//"]: SUBSET not in subset table, frame not processed")
           ok = no
           return
        }

#	Return result...
	subs = csub
	ok   = yes
end
